#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-types
version:              1.6.0.0
visibility:           public
id:                   lsp-types-1.6.0.0-DVkXRTqhrhAL1mszrags5S
key:                  lsp-types-1.6.0.0-DVkXRTqhrhAL1mszrags5S
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  0ae206adcef8c5b5648da0e18db543a3
exposed:              True
exposed-modules:
    Data.IxMap Language.LSP.Types Language.LSP.Types.Capabilities
    Language.LSP.Types.Lens Language.LSP.Types.SMethodMap

hidden-modules:
    Language.LSP.Types.CallHierarchy Language.LSP.Types.Cancellation
    Language.LSP.Types.ClientCapabilities Language.LSP.Types.CodeAction
    Language.LSP.Types.CodeLens Language.LSP.Types.Command
    Language.LSP.Types.Common Language.LSP.Types.Completion
    Language.LSP.Types.Configuration Language.LSP.Types.Declaration
    Language.LSP.Types.Definition Language.LSP.Types.Diagnostic
    Language.LSP.Types.DocumentColor Language.LSP.Types.DocumentFilter
    Language.LSP.Types.DocumentHighlight
    Language.LSP.Types.DocumentLink Language.LSP.Types.DocumentSymbol
    Language.LSP.Types.FoldingRange Language.LSP.Types.Formatting
    Language.LSP.Types.Hover Language.LSP.Types.Implementation
    Language.LSP.Types.Initialize Language.LSP.Types.Location
    Language.LSP.Types.LspId Language.LSP.Types.MarkupContent
    Language.LSP.Types.Method Language.LSP.Types.Message
    Language.LSP.Types.Parsing Language.LSP.Types.Progress
    Language.LSP.Types.Registration Language.LSP.Types.References
    Language.LSP.Types.Rename Language.LSP.Types.SelectionRange
    Language.LSP.Types.ServerCapabilities
    Language.LSP.Types.SemanticTokens Language.LSP.Types.SignatureHelp
    Language.LSP.Types.StaticRegistrationOptions
    Language.LSP.Types.TextDocument Language.LSP.Types.TypeDefinition
    Language.LSP.Types.Uri Language.LSP.Types.Utils
    Language.LSP.Types.Window Language.LSP.Types.WatchedFiles
    Language.LSP.Types.WorkspaceEdit
    Language.LSP.Types.WorkspaceFolders
    Language.LSP.Types.WorkspaceSymbol Language.LSP.Types.Uri.OsPath

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-types-1.6.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-types-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-types
hs-libraries:         HSlsp-types-1.6.0.0-DVkXRTqhrhAL1mszrags5S
depends:
    Diff-0.4.1-4cFSoUDI9sIHfLU08LSG2N
    aeson-2.1.1.0-KfG6oaum90dLA5eXp6YCDc base-4.15.1.0 binary-0.8.8.0
    containers-0.6.4.1 data-default-0.7.1.1-F5UCdIzcAyMHhqKaNlSOJy
    deepseq-1.4.5.0 dlist-1.0-DsmLszrk0d78USIO4E29oj exceptions-0.10.4
    filepath-1.4.2.1 hashable-1.4.2.0-5ySl8XM8t8QGZN86Jfv3oR
    lens-5.2-2GACnsjH8Hxy7NpnIJ2R1 mod-0.2.0.0-604K25i9FWp3rMYO38F4o4
    mtl-2.2.2 network-uri-2.6.4.2-KWjid2Wux6gAGED2q7OhW3
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scientific-0.3.7.0-DZrt5bOhsoZ611uy7Ah3tM
    some-1.0.4.1-3oTC5bddeLcpEd54xiVBi template-haskell-2.17.0.0
    text-1.2.5.0 unordered-containers-0.2.19.1-DnnZsztXxSKIeB0HgJzbzw

haddock-interfaces:   /usr/share/doc/haskell-lsp-types/html/lsp-types.haddock
haddock-html:         /usr/share/doc/haskell-lsp-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

